dpkg-name(1)

NOMBRE
dpkg-name - Renombra paquetes Debian a nombres de paquetes completos.

SINOPSIS
dpkg-name [-a|--no-architecture] [-o|--overwrite] [-s|--subdir [directorio]] [-c|--create-dir] [-h|--help] [-v|--version] [-l|--license] [-k|--symlink] [-[--] [archivos]

DESCRIPCIÓN

Esta pagina de manual trata sobre dpkg-name , un programa hecho en sh que ofrece una manera fácil de renombrar paquetes Debian a nombres de paquetes completos. Un nombre de paquete completo consiste de <paquete>_<versión>_<arquitectura>.deb tal y como está especificado en el fichero de control del paquete. La parte de <versión> del archivo consiste en la principal versión de información opcionalmente seguido de un guión y la versión de revisión.

EJEMPLOS

dpkg-name bar-foo.deb
    El archivo `bar-foo.deb' se renombrará a bar-foo_1.0-2_i386.deb o algo similar (dependiendo de cual sea la información en la sección de control de `bar-foo.deb').

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    dpkg-name renombrará todos los archivos con extensión `deb' dentro del directorio /root/debian y sus subdirectorios, si fuera necesario, a nombres sin información de arquitectura.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    No haga esto. Sus archivos se corromperán debido a que una gran cantidad de paquetes no incluyen una sección de información. No haga esto.

dpkg --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Esto se puede utilizar cuando se construyen nuevos paquetes.

  OPCIONES

-a, --no-architecture
    El archivo destino no incluye información sobre la arquitectura.

-k, --symlink
    Crea un enlace simbólico en vez de mover el archivo.

-o, --overwrite
    Los archivos existentes se sobreescriben si poseen el mismo nombre que el archivo de destino.

-s, --subdir [directorio]
    Se moverán los archivos dentro del subdirectorio especificado. Si existe el directorio dado como argumento, los archivos se moverán dentro del directorio especificado, sino el nombre del directorio de destino se extraerá del archivo de control del paquete. El directorio de destino será `unstable/binary-<arquitectura>/<sección>'. Si la sección es `non-free', `contrib' o si no se encuentra ninguna sección en el archivo de control, el directorio de destino será `<sección>/binary-<arquitectura>'. El campo de sección no es necesario, por lo que muchos paquetes encontrarán su camino hacia el área `no-section' (`sin-sección'). Use esta opción con cuidado, es algo delicado.

-c, --create-dir
    Esta opción puede usarse junto con la opción -s. Si no se encuentra ningún directorio de destino se crea automáticamente. Use esta opción con cuidado.

-h, --help
    Muestra las opciones de uso del programa y sale con éxito.

-v, --version
    Muestra la información de versión del programa y sale con éxito.

-l, --license
    Muestra la información de copyright y una referencia a la licencia GNU.

ERRATAS
Algunos paquetes no siguen la misma estructura de <paquete>_<versión>_<arquitectura>.deb. Los paquetes que renombre dpkg-name seguirán esta estructura. Generalmente esto no tendrá ningún impacto sobre cómo los paquetes se instalarán por dselect/dpkg, pero otras herramientas de instalación podrían depender de esta estructura.

VÉASE TAMBIÉN
deb(5), deb-control(5), dpkg(8), dpkg-deb(1), find(1), xargs(1).

COPYRIGHT
Copyright 1995,1996 Erick Branderhorst. dpkg-name es software gratuito; Vea la Licencia Pública General de GNU en su versión 2 o superior para las condiciones de copia. No hay garantía alguna.

Está pagina fue traducida por Bruno Barrera C. <bruno.barrera@igloo.cl> , revisada posteriormente por Javier Fernández-Sanguino y Rubén Porras.